Description

When I upgrade to Redmine 6 I get a Passenger error:

App 153642 output:     /var/lib/gems/3.1.0/gems/passenger-6.0.23/src/helper-scripts/rack-preloader.rb:29:in `<main>'

[ E 2024-12-19 13:44:18.4588 57051/Tg age/Cor/App/Implementation.cpp:221 ]: Could not spawn process for application

/data/redmine: The application encountered the following error: wrong number of arguments (given 2, expected 1) (ArgumentError)

Error ID: 2e4863e4

Error details saved to: /tmp/passenger-error-OwoByr.html

[ E 2024-12-19 13:44:18.4611 57051/T9 age/Cor/Con/CheckoutSession.cpp:282 ]: [Client 1-1] Cannot checkout session because a

spawning error occurred. The identifier of the error is 2e4863e4. Please see earlier logs for details about the error.

I tried several times with 6.0.0, 6.0.1, 6.0.2 and updating all plugins and Passenger. But I keep getting this error.

How do I solve this?

Regards,

René

History

#1 - 2024-12-29 05:53 - Go MAEDA

- Status changed from New to Needs feedback

Passenger generates an HTML file containing detailed information about the error when an issue occurs. In the example you provided, the file is

/tmp/passenger-error-OwoByr.html. You can retrieve this file from the server and open it in a web browser to view the error details.

If, upon reviewing the error details, you suspect that the issue might be related to Redmine, could you please share the recorded error details?

Attaching the HTML file itself would also be acceptable.

#2 - 2025-01-06 10:02 - René Kaptijn

Hi, there is no error log in /tmp. Passenger logs in the apache logfile, and the content of that file is in my initial description and below.

App 2640531 output:     /var/lib/gems/3.1.0/gems/passenger-6.0.23/src/helper-scripts/rack-preloader.rb:29:in `<main>'

[ E 2025-01-06 09:39:26.1412 2559646/Tq age/Cor/App/Implementation.cpp:221 ]: Could not spawn process for application /data/redmine: The

application encountered the following error: wrong number of arguments (given 2, expected 1) (ArgumentError)

Error ID: 73c2d3a0

Error details saved to: /tmp/passenger-error-ozI9GZ.html

[ E 2025-01-06 09:39:26.1431 2559646/T9 age/Cor/Con/CheckoutSession.cpp:282 ]: [Client 1-2] Cannot checkout session because a spawning error

occurred. The identifier of the error is 73c2d3a0. Please see earlier logs for details about the error.

#3 - 2025-01-21 09:50 - René Kaptijn

The Phusion Passenger(R) application server tried to start the web application. But the application itself (and not Passenger) encountered an internal

error.

Error details:

number of arguments (given 2, expected 1) (ArgumentError)

/var/lib/gems/3.1.0/gems/activerecord-7.2.2/lib/active_record/attribute_methods/serialization.rb:183:in `serialize'

/data/redmine-6.0.2/plugins/redmine_issue_templates/app/models/concerns/issue_template_common.rb:46:in `block in

<module:IssueTemplateCommon>'

/var/lib/gems/3.1.0/gems/activesupport-7.2.2/lib/active_support/concern.rb:138:in `class_eval'
/var/lib/gems/3.1.0/gems/activesupport-7.2.2/lib/active_support/concern.rb:138:in `append_features'

/data/redmine-6.0.2/plugins/redmine_issue_templates/app/models/global_issue_template.rb:5:in `include'

/data/redmine-6.0.2/plugins/redmine_issue_templates/app/models/global_issue_template.rb:5:in `<class:GlobalIssueTemplate>'

/data/redmine-6.0.2/plugins/redmine_issue_templates/app/models/global_issue_template.rb:3:in `<top (required)>'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/kernel.rb:26:in `require'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/kernel.rb:26:in `require'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/cref.rb:91:in `const_get'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/cref.rb:91:in `get'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/eager_load.rb:173:in `block in actual_eager_load_dir'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/helpers.rb:47:in `block in ls'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/helpers.rb:25:in `each'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/helpers.rb:25:in `ls'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/eager_load.rb:168:in `actual_eager_load_dir'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/eager_load.rb:17:in `block (2 levels) in eager_load'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/eager_load.rb:16:in `each'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/eager_load.rb:16:in `block in eager_load'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/eager_load.rb:10:in `synchronize'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader/eager_load.rb:10:in `eager_load'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader.rb:413:in `block in eager_load_all'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader.rb:411:in `each'

/var/lib/gems/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/loader.rb:411:in `eager_load_all'

/var/lib/gems/3.1.0/gems/railties-7.2.2/lib/rails/application/finisher.rb:80:in `block in <module:Finisher>'

/var/lib/gems/3.1.0/gems/railties-7.2.2/lib/rails/initializable.rb:32:in `instance_exec'

/var/lib/gems/3.1.0/gems/railties-7.2.2/lib/rails/initializable.rb:32:in `run'

/var/lib/gems/3.1.0/gems/railties-7.2.2/lib/rails/initializable.rb:61:in `block in run_initializers'

/usr/lib/ruby/3.1.0/tsort.rb:228:in `block in tsort_each'

/usr/lib/ruby/3.1.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_component'

/usr/lib/ruby/3.1.0/tsort.rb:431:in `each_strongly_connected_component_from'

/usr/lib/ruby/3.1.0/tsort.rb:349:in `block in each_strongly_connected_component'

/usr/lib/ruby/3.1.0/tsort.rb:347:in `each'

/usr/lib/ruby/3.1.0/tsort.rb:347:in `call'

/usr/lib/ruby/3.1.0/tsort.rb:347:in `each_strongly_connected_component'

/usr/lib/ruby/3.1.0/tsort.rb:226:in `tsort_each'

/usr/lib/ruby/3.1.0/tsort.rb:205:in `tsort_each'

/var/lib/gems/3.1.0/gems/railties-7.2.2/lib/rails/initializable.rb:60:in `run_initializers'

/var/lib/gems/3.1.0/gems/railties-7.2.2/lib/rails/application.rb:435:in `initialize!'

/data/redmine-6.0.2/config/environment.rb:16:in `<top (required)>'

config.ru:3:in `require_relative'

config.ru:3:in `block in <main>'

/var/lib/gems/3.1.0/gems/rack-3.1.8/lib/rack/builder.rb:124:in `instance_eval'

/var/lib/gems/3.1.0/gems/rack-3.1.8/lib/rack/builder.rb:124:in `initialize'

config.ru:1:in `new'

config.ru:1:in `<main>'

/var/lib/gems/3.1.0/gems/passenger-6.0.24/src/helper-scripts/rack-preloader.rb:101:in `eval'

/var/lib/gems/3.1.0/gems/passenger-6.0.24/src/helper-scripts/rack-preloader.rb:101:in `preload_app'

/var/lib/gems/3.1.0/gems/passenger-6.0.24/src/helper-scripts/rack-preloader.rb:189:in `block in <module:App>'

/var/lib/gems/3.1.0/gems/passenger-6.0.24/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:399:in

`run_block_and_record_step_progress'

/var/lib/gems/3.1.0/gems/passenger-6.0.24/src/helper-scripts/rack-preloader.rb:188:in `<module:App>'

/var/lib/gems/3.1.0/gems/passenger-6.0.24/src/helper-scripts/rack-preloader.rb:30:in `<module:PhusionPassenger>'

/var/lib/gems/3.1.0/gems/passenger-6.0.24/src/helper-scripts/rack-preloader.rb:29:in `<main>'

#4 - 2025-01-23 02:28 - Go MAEDA

Probably the error was caused by redmine_issue_templates plugin.

Please make sure that the plugin supports Redmine 6.0 or remove the plugin.

#5 - 2025-01-23 09:04 - René Kaptijn

Yes that was the cause, I got the same response from the Phusion Passenger support. Thanks!

#6 - 2025-01-23 12:39 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
